System-Info(1)

NAME
System-Info - shows system information and banners

SYNOPSIS
System-Info [-S scripts_directory | - -scripts scripts_directory]
[-X date_string | - -test-date date_string] [-Y input_file | - -test-system-info input_file]
System-Info [-h | - -help]
System-Info [-v | - -version]

DESCRIPTION
System-Info displays basic status information about the system: hostname, uptime, CPU, memory statistics, disk space statistics, SSH public key hashes, and networking information. Furthermore, it can be configured to show one or more banners (for example, a project name). System-Info can be configured to be automatically run when logging in, providing the user an up-to-date overview of the system.
One main purpose of System-Info is to run on login, to particularly show a nice login banner (for example, a project or company logo) and then present the basic system information. For this purpose, System-Info can be configured with banner scripts (by default looked up in /etc/system-info.d or /usr/local/etc/system-info.d ), which are processed in alphabetically descending order by file name, like:
•   95-application-logo
•   90-project-logo
•   60-department-logo
•   50-company-logo
•   01-example
The names of all scripts MUST begin with two decimal numbers. That is, scripts must be named [0-9][0-9]... to be processed by System-Info! If one of the scripts exits with non-zero exit code, the processing of further banner scripts is stopped. This can be used for preconfiguring a system for example with a department and company logo, where the company logo script terminates further processing. A modified system for a certain project can add a project logo as well. The project logo script may terminate further processing, not showing department and company logos. This may be combined with packaging scripts, for example adding an application logo as part of the application's install package (like adding a script 95-application-logo ).

ARGUMENTS
The following options are available:

-S scripts_directory | - -scripts scripts_directory
    Sets the directory to look for scripts, for example to test own scripts. Default: /etc/system-info.d or /usr/local/etc/system-info.d.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

-X date_string | - -test-date date_string
    Test option: instead of calling "date" to obtain the current system date, use the given date string, to make the output deterministic for testing.

-Y input_file | - -test-system-info input_file
    Test option: instead of calling "get-system-info" to obtain the system information, read get-system-info output from a given file, to make the output deterministic for testing.

EXIT STATUS
The System-Info tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

System-Info

System-Info -S /usr/share/System-Info

System-Info -S ~/src/system-info/src/system-info.d

System-Info --scripts ~/my-system-info-scripts

LANGUAGE=nb System-Info

LANGUAGE=de_AT System-Info

LANGUAGE=nb System-Info -S /usr/share/System-Info

System-Info --version

System-Info --help

SEE ALSO
Fingerprint-SSH-Keys(1), get-system-info(1), print-utf8(1), Reset-Machine-ID(1), System-Maintenance(1), text-block(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh